# Source code for azure.mgmt.labservices.models.operation_result_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class OperationResult(Model):
        """An Operation Result.

        :param status: The operation status.
        :type status: str
        :param error: Error details for the operation in case of a failure.
        :type error: ~azure.mgmt.labservices.models.OperationError
        """

        _attribute_map = {
            'status': {'key': 'status', 'type': 'str'},
            'error': {'key': 'error', 'type': 'OperationError'},
        }

        def __init__(self, *, status: str=None, error=None, **kwargs) -> None:
            super(OperationResult, self).__init__(**kwargs)
            self.status = status
            self.error = error